%define api       3.0
%define major     2
%define girapi    3.0
%define libname   %mklibname dmapsharing %api %major
%define girname   %mklibname dmapsharing-gir %{girapi}
%define develname %mklibname dmapsharing %api -d

Name:           libdmapsharing
Version:        2.9.39
Release:        %mkrel 1
License:        LGPLv2+
Summary:        A DMAP client and server library
Group:          System/Libraries
URL:            http://www.flyn.org/projects/libdmapsharing/index.html
Source:         http://www.flyn.org/projects/libdmapsharing/%{name}-%{version}.tar.xz
Patch0:         libdmapsharing-2.9.30-link.patch
Patch1:         libdmapsharing-2.9.16-automake-1.13.patch
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) 
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 0.10.23.2
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  vala-tools
BuildRequires:  pkgconfig(gee-0.8)

%description
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

%package -n     %libname
Summary:        A DMAP client and server library
Group:          System/Libraries

%description -n %libname
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

%files -n %libname
%{_libdir}/libdmapsharing-%{api}.so.%{major}
%{_libdir}/libdmapsharing-%{api}.so.%{major}.*
%{_libdir}/girepository-1.0/DMAP-%{girapi}.typelib

%package -n     %develname
Summary:        Files needed to develop applications using libdmapsharing
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.  This package provides the libraries, include files, and
other resources needed for developing applications using libdmapsharing.

%files -n %develname
%{_libdir}/pkgconfig/libdmapsharing-*.pc
%{_includedir}/libdmapsharing-*
%{_libdir}/libdmapsharing-%{api}.so
%{_datadir}/gtk-doc/html/libdmapsharing-%{api}
%{_datadir}/gir-1.0/DMAP-%{girapi}.gir

%package        vala
Summary:        Vala language bindings for libdmapsharing
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}

%description    vala
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.  This package provides the Vala language bindings for
libdmapsharing.

%files vala
%{_datadir}/vala/vapi/libdmapsharing-3.0.vapi

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .automake-1_13

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete


%changelog
* Sat Mar 09 2019 tex 2.9.39-1pclos2019
- import from france
